KXDocker on Dapper Drake

What is KXDocker?

KXDocker is a docker for KDE environment. This docker is like Mac OS X’s Dock. At their official site, they said KXDocker is more powerful than Mac OS X’s Dock. But it’s depend on your self. I think you should try this docker and make your own opinition. I haven’t try Mac OS X’s Dock yet. So I can not say which the better is :-/ . But nevermind, just try it and have fun 😀 Since 0.37 KXDocker started to work under more Desktop Environment, not only KDE Environment. So I try to install KXDocker on my Ubuntu Dapper Drake.

KXDocker on Ubuntu Repository

An easly way to install kxdocker just type:

sudo apt-get install kxdocker kxdocker-data

It’s will install KXDocker 0.39. I want to try the new version (currently 1.0), cause many addition feature. So I have to install it “manualy” by myself.

Let’s start it

First install these following packages:

sudo apt-get install build-essensial xlibs-dev libqt3-mt-dev libqt3-compat-header kdelibs4-dev kdebase-dev

Next, download KXDocker from their site.
The main file is:

  • kxdocker-version.x.x.tar.bz2

The very usefull files are:

  • kxdocker-resources-version.x.x.tar.bz2
  • kxdocker-configurator-version.x.x.tar.bz2
  • kxdocker-dcop-version.x.x.tar.bz2
  • kxdocker-i18n-version.x.x.tar.bz2
  • kxdocker-trayiconlogger-version.x.x.tar.bz2

The optional files are:

  • kxdocker-arpmanager-version.x.x.tar.bz2
  • kxdocker-bluetooth-version.x.x.tar.bz2
  • kxdocker-gaclock-version.x.x.tar.bz2
  • kxdocker-gamarok-version.x.x.tar.bz2
  • kxdocker-gapager-version.x.x.tar.bz2
  • kxdocker-gbattery-version.x.x.tar.bz2
  • kxdocker-gdate-version.x.x.tar.bz2
  • kxdocker-gipcontrack-version.x.x.tar.bz2
  • kxdocker-gmail-version.x.x.tar.bz2
  • kxdocker-gmount-version.x.x.tar.bz2
  • kxdocker-gnetio-version.x.x.tar.bz2
  • kxdocker-gpipe-version.x.x.tar.bz2
  • kxdocker-gtrash-version.x.x.tar.bz2
  • kxdocker-gthrottle-version.x.x.tar.bz2
  • kxdocker-mountmanager-version.x.x.tar.bz2
  • kxdocker-networker-version.x.x.tar.bz2
  • kxdocker-taskmanager-version.x.x.tar.bz2
  • kxdocker-thememanager-version.x.x.tar.bz2
  • kxdocker-wizard-version.x.x.tar.bz2

These optional files depend on your needed, for me I just download:

  • kxdocker-gaclock-version.x.x.tar.bz2
  • kxdocker-gapager-version.x.x.tar.bz2
  • kxdocker-gdate-version.x.x.tar.bz2
  • kxdocker-gmail-version.x.x.tar.bz2
  • kxdocker-gmount-version.x.x.tar.bz2
  • kxdocker-gtrash-version.x.x.tar.bz2
  • kxdocker-mountmanager-version.x.x.tar.bz2
  • kxdocker-networker-version.x.x.tar.bz2
  • kxdocker-taskmanager-version.x.x.tar.bz2
  • kxdocker-thememanager-version.x.x.tar.bz2
  • kxdocker-wizard-version.x.x.tar.bz2

Compile and Install

After download everything that I need, then compile and install it. The first step is compile kxdocker-version.x.x

  • Go to the folder where you download this file (I download all files to my home)
  • Extract this file:
    tar jxvf kxdocker-version.x.x.tar.bz2
  • Go to this file directory:
    cd kxdocker-version.x.x
  • Start compile it by:
    ./configure --prefix=/usr
  • Make it:
    make
  • Finally:
    sudo make install

After kxdocker has been installed, compile another packages you needed

  • Extract packages:
    tar jxvf kxdocker-packages-version.x.x.tar.bz2
  • Go to this file directory:
    cd kxdocker-packages-version.x.x
  • Compile:
    ./configure --prefix=/usr --with-extra-libs=/usr/lib/ --with-extra-includes=/usr/include
  • Make:
    make
  • Install:
    sudo make install

Uninstall KXDocker

Go to each directory you installed it and type:

make clean && sudo make uninstall

Start with KXDocker

After install KXDocker just type

kxdocker

Then KXDocker should appear on desktop. Icon tray will appear at GNOME panel. We must configure KXDocker and make it look perfect for ourself. For official support please visit KXDocker website. If you have any idea to install KXDocker easier please contact me. Any suggestion to make it into Ubuntu packages? How? Thx before…

  • sphere

    thx for the guide but i got this error

    usr/share/apps/kxdocker/plugins/libliblibKXThemeManager.so.so: cannot open shared object file: No such file or directory

    what is wrong?

  • Thx for your comment. Try to compile kxdocker with ./configure ?-prefix=/usr and the other packages with ./configure ?-prefix=/usr ?-with-extra-libs=/usr/lib/ ?-with-extra-include/usr/include
    Good luck…

  • tomzt

    Thank you for .deb package
    How can I install more theme on it? How can I install Kxdocker theme manager? http://www.xiaprojects.com/www/downloads/media/kxdocker/1.0.0/kxdocker-thememanager-1.0.0.tar.bz2

    Thank you.

  • Pingback: Suthep Weblog » KDE()

  • Tomzt: I think KXDocker theme; It’s just about icon theme. Correct me if I wrong. You can install your theme (version 1.0.0) by:

    tar jxvf kxdocker-thememanager-1.0.0.tar.bz2
    cd kxdocker-thememanager-1.0.0
    ./configure ?-prefix=/usr ?-with-extra-libs=/usr/lib/ ?-with-extra-includes=/usr/include
    make
    sudo make install

    Good luck…

  • tomzt

    Thank you. I will try it.

  • tomzt

    sorry this error

    configure: error: invalid package name: extra-include/usr/include

  • fred

    “s” was missing and “=” too…
    ./configure –prefix=/usr –with-extra-libs=/usr/lib/ –with-extra-includes=/usr/include

    regards
    fredobedo

  • Fred, Oic…
    I’m so sorry for my mistake. Thanks for your correction my friend 🙂

  • Pingback: TimmyBLOG » links for 2006-08-30()

  • Pingback: Ultimate Ubuntu Dapper Look Like OSX at supriyadisw dot net()

  • I’ve got the same error as sphere, but I use the same ./configure command. How is this possible?

  • Hi sense, what is the error message? Thanks

  • add this repo in /etc/apt/sources.list

    ## XGL Compiz
    # deb http://www.beerorkid.com/compiz/ dapper main
    deb http://xgl.compiz.info/ dapper main
    deb-src http://xgl.compiz.info/ dapper main

    then use synaptic to select a number of kxdocker stuff. The above repo is maintained by quin.

  • Dotaku, Thanks for your infos. I will try it.

    😀 Have a great day and gud lak

  • Pingback: Technologies » Blog Archive » Ultimate Ubuntu Dapper Look Like OSX()

  • fengguang

    I tried your method. When I typed kxdocker in terminal, I got such error as:

    X Error: BadDevice, invalid or uninitialized input device 168
    Major opcode: 148
    Minor opcode: 3
    Resource id: 0x0
    Failed to open device
    X Error: BadDevice, invalid or uninitialized input device 168
    Major opcode: 148
    Minor opcode: 3
    Resource id: 0x0
    Failed to open device
    kbuildsycoca running…
    Error: KXDocker cannot find Composite Extensions
    X Error: BadDevice, invalid or uninitialized input device 168
    Major opcode: 148
    Minor opcode: 3
    Resource id: 0x0
    Failed to open device
    X Error: BadDevice, invalid or uninitialized input device 168
    Major opcode: 148
    Minor opcode: 3
    Resource id: 0x0
    Failed to open device

    What does it mean?

  • Hi fengguang, You should look at this thread http://www.ubuntuforums.org/showthread.php?t=232128 or you can try quin repository. Gud lak

  • turbojugend

    Thank you very much, I never could get the repo one to work, compiled it though and worked like a charm! I am using Edgy, so you can change the title to depper/edgy I guess, thnx again!

  • btreu1

    turbojugend- is there any possibility of getting your assistance in setting up kxdocker in 6.10? after a combination of nearly 24 hours I am losing my mind. Please help if you find this post. Also, anyone else who has any idea on how to get this thing going, email me please. btreu1@gmail.com

  • SurgE

    I tried the steps, but the configuration icon didn’t appear in the tray, what did i do wrong???

  • Mayhemt on ubuntuforums

    Dude, you may want to use the following instead of $sudo make install

    becos this will make a deb package & the package maintenance will be easy with synaptic or adept…
    $sudo checkinstall

  • Reini

    I tried it but when I execute kxdocker I always get something like “/usr/share/apps/kxdocker/plugins/libDCOP.so: cannot open shared object file: No such file or directory”

    I can’t find such plugins on the homepage..

  • kobewan

    Just a heads up if you don’t know, you spelled ‘build-essential’ wrong. Also, (at least on edgy), ‘libqt3-compat-header’ should be ‘libqt3-compat-headers’. Thanks for this guide.

  • Thanks for your correction 🙂

  • very helpful page. thank you.

  • HELP

    i don’t know oll sorry bat im new on the linux and i dont know anithing.Di’t know greek ??anithing??

  • davidoff

    I think there is a missing libxtst-dev dependency in the package list. I had to apt-get it to get kxdocker building on gutsy (7.10).